summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--ffmpeg/build/faad2-remove-bmp.patch76
-rwxr-xr-xffmpeg/build/ffmpeg.SlackBuild517
-rw-r--r--ffmpeg/build/slack-desc19
3 files changed, 612 insertions, 0 deletions
diff --git a/ffmpeg/build/faad2-remove-bmp.patch b/ffmpeg/build/faad2-remove-bmp.patch
new file mode 100644
index 00000000..89651394
--- /dev/null
+++ b/ffmpeg/build/faad2-remove-bmp.patch
@@ -0,0 +1,76 @@
+diff -ur faad2.orig/configure.in faad2/configure.in
+--- faad2.orig/configure.in 2006-08-13 16:13:31.000000000 +0200
++++ faad2/configure.in 2006-08-14 12:03:07.000000000 +0200
+@@ -29,9 +29,6 @@
+ AC_ARG_WITH(xmms,[ --with-xmms compile XMMS-1 plugin],
+ WITHXMMS=$withval, WITHXMMS=no)
+
+-AC_ARG_WITH(bmp,[ --with-bmp compile beep media player plugin],
+- [WITHBMP=$withval;WITHXMMS=$withval], [WITHBMP=no])
+-
+ AC_ARG_WITH(drm,[ --with-drm compile libfaad with DRM support],
+ WITHDRM=$withval, WITHDRM=no)
+
+@@ -114,12 +111,6 @@
+ AM_CONDITIONAL(HAVE_XMMS, false)
+ fi
+
+-if test x$WITHBMP = xyes; then
+- AC_DEFINE([HAVE_BMP], 1, [User wants beep media player plugin built])
+- AM_CONDITIONAL([HAVE_XMMS], true)
+- AM_CONDITIONAL([HAVE_BMP], true)
+-fi
+-
+ if test x$WITHDRM = xyes; then
+ AC_DEFINE(DRM, 1, [Define if you want to use libfaad together with Digital Radio Mondiale (DRM)])
+ AC_DEFINE(DRM_PS, 1, [Define if you want support for Digital Radio Mondiale (DRM) parametric stereo])
+diff -ur faad2.orig/plugins/Makefile.am faad2/plugins/Makefile.am
+--- faad2.orig/plugins/Makefile.am 2006-08-07 20:47:45.000000000 +0200
++++ faad2/plugins/Makefile.am 2006-08-14 11:35:44.000000000 +0200
+@@ -1,17 +1,13 @@
+-if HAVE_MPEG4IP_PLUG
+-if HAVE_XMMS
+-SUBDIRS = xmms mpeg4ip
+-else
+-SUBDIRS = mpeg4ip
+-endif #HAVE_XMMS
+-else
+-if HAVE_XMMS
+-SUBDIRS = xmms
+-else
+-if HAVE_BMP
+-SUBDIRS = bmp
+-else
+-SUBDIRS =
+-endif #HAVE_BMP
+-endif #HAVE_XMMS
+-endif #HAVE_MPEG4IP_PLUG
++if HAVE_MPEG4IP_PLUG
++if HAVE_XMMS
++SUBDIRS = xmms mpeg4ip
++else
++SUBDIRS = mpeg4ip
++endif #HAVE_XMMS
++else
++if HAVE_XMMS
++SUBDIRS = xmms
++else
++SUBDIRS =
++endif #HAVE_XMMS
++endif #HAVE_MPEG4IP_PLUG
+diff -ur faad2.orig/plugins/xmms/src/Makefile.am faad2/plugins/xmms/src/Makefile.am
+--- faad2.orig/plugins/xmms/src/Makefile.am 2006-08-07 20:47:45.000000000 +0200
++++ faad2/plugins/xmms/src/Makefile.am 2006-08-14 12:06:15.000000000 +0200
+@@ -1,12 +1,6 @@
+-if HAVE_BMP
+-libdir=$(shell pkg-config --variable=input-plugin-dir bmp)
+-local_CFLAGS=$(shell pkg-config --cflags bmp)
+-local_LDFLAGS=$(shell pkg-config --libs bmp)
+-else
+ local_CFLAGS=`$(XMMS_CONFIG) --cflags` -Wall
+ local_LDFLAGS=`$(XMMS_CONFIG) --libs`
+ libdir = `$(XMMS_CONFIG) --input-plugin-dir`
+-endif #HAVE_BMP
+ lib_LTLIBRARIES = libmp4.la
+
+ libmp4_la_CFLAGS = $(local_CFLAGS) -Wall \
diff --git a/ffmpeg/build/ffmpeg.SlackBuild b/ffmpeg/build/ffmpeg.SlackBuild
new file mode 100755
index 00000000..af784f9c
--- /dev/null
+++ b/ffmpeg/build/ffmpeg.SlackBuild
@@ -0,0 +1,517 @@
+#!/bin/sh
+# $Id$
+# Copyright (c) 2007 Eric Hameleers <alien@slackware.com>
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+#
+# Slackware SlackBuild script
+# ===========================
+# By: Eric Hameleers <alien@slackware.com>
+# For: ffmpeg
+# Descr: software to record, convert and stream audio and video
+# URL: http://ffmpeg.mplayerhq.hu/
+# Needs:
+# Changelog:
+# 20070519-1: 19/May/2007 by Eric Hameleers <alien@slackware.com>
+# * Initial build.
+# Note that the version is set to the current date
+# (using `date +%Y%d%m` output) when you build ffmpeg
+# from source using this SlackBuild.
+# You can override this behaviour by prepending a specific
+# value for VERSION to the build command, like so:
+# VERSION=20070519 ./ffmpeg.SlackBuild
+#
+# Run 'sh ffmpeg.SlackBuild --cleanup' to build a Slackware package.
+# The package (.tgz) plus descriptive .txt file are created in /tmp .
+# Install using 'installpkg'.
+#
+# -----------------------------------------------------------------------------
+
+# Set initial variables:
+
+# -- PATENT ALERT! --
+# FFmpeg can be built with MP3 audio decoder and AMR video decoder
+# (needed for FLV videos) but these libraries are 'contaminated' with
+# patents from Fraunhofer and GGP.
+# You can build these patended algorithms into ffmpeg, and if you are an
+# ordinary end user, no one will bother you for using them.
+# For the binaries based on this SlackBuild that I distribute, it is a
+# different story. I am not allowed to distribute binary packages that
+# incorporate patented code. So here you go. My Slackware package was built
+# with "USE_PATENTS=NO" i.e. without using the lame mp3 libary and without the
+# AMR libraries.
+#USE_PATENTS="NO"
+USE_PATENTS=${USE_PATENTS:-"YES"}
+
+PRGNAM=ffmpeg
+#VERSION=${VERSION:-20070519}
+VERSION=${VERSION:-`date +%Y%m%d`}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+
+DOCS="COPYING CREDITS Changelog MAINTAINERS README \
+ doc/TODO doc/*.txt doc/*.html"
+
+# Support libraries:
+A52=0.7.4
+FAAC=1.25
+FAAD2=2.5
+LAME=3.97
+X264=20070518-2245
+XVID=1.1.2
+
+# Where do we look for sources?
+CWD=`pwd`
+SRCDIR=`dirname $0`
+[ "${SRCDIR:0:1}" == "." ] && SRCDIR=${CWD}/${SRCDIR}
+
+# Place to build (TMP) package (PKG) and output (OUTPUT) the program:
+TMP=${TMP:-/tmp/build}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Input URL: http://ffmpeg.mplayerhq.hu/ffmpeg-export-snapshot.tar.bz2
+SOURCE[0]="$SRCDIR/${PRGNAM}-${VERSION}.tar.bz2"
+SRCURL[0]="http://ffmpeg.mplayerhq.hu/${PRGNAM}-export-snapshot.tar.bz2"
+
+# XVIDcore library, will be statically linked against with ffmpeg
+SOURCE[1]="$SRCDIR/xvidcore-$XVID.tar.gz"
+SRCURL[1]="http://downloads.xvid.org/downloads/xvidcore-$XVID.tar.gz"
+
+# FAAC library, will be statically linked with ffmpeg
+SOURCE[2]="$SRCDIR/faac-$FAAC.tar.gz"
+SRCURL[2]="http://dl.sourceforge.net/faac/faac-$FAAC.tar.gz"
+
+# The A52 decoder - aka AC3, will be statically linked
+SOURCE[3]="$SRCDIR/a52dec-$A52.tar.gz"
+SRCURL[3]="http://liba52.sourceforge.net/files/a52dec-$A52.tar.gz"
+
+# X264 encoder - for H264/AVC video streams, for static linking
+SOURCE[4]="$SRCDIR/x264-snapshot-${X264}.tar.bz2"
+SRCURL[4]="ftp://ftp.videolan.org/pub/videolan/x264/snapshots/x264-snapshot-${X264}.tar.bz2"
+
+# FAAD2 support:
+SOURCE[5]="$SRCDIR/faad2-$FAAD2.tar.gz"
+SRCURL[5]="http://dl.sourceforge.net/faac/faad2-$FAAD2.tar.gz"
+
+# The swscale library that comes with ffmpeg is currently broken.
+# Use mplayer's:
+SOURCE[6]="$SRCDIR/libswscale-$VERSION.tar.gz"
+SRCURL[6]=""
+get_6() {
+ mkdir libswscale-$VERSION && cd libswscale-$VERSION && svn checkout svn://svn.mplayerhq.hu/mplayer/trunk/libswscale . && chown -R root:root . && cd .. && tar zcvf ${SOURCE[7]} libswscale-$VERSION && rm -rf libswscale-$VERSION
+}
+
+# Lame is used for the audio in FLV videos; will statically link with ffmpeg
+SOURCE[7]="$SRCDIR/lame-$LAME.tar.gz"
+SRCURL[7]="http://dl.sourceforge.net/lame/lame-$LAME.tar.gz"
+
+##
+## --- with a little luck, you won't have to edit below this point --- ##
+##
+
+# Exit the script on errors:
+set -e
+trap 'echo "$0 FAILED at line $LINENO!" | tee $OUTPUT/error-${PRGNAM}.log' ERR
+# Catch unitialized variables:
+set -u
+P1=${1:-1}
+
+# Slackware 11 and up need other option (gcc > 3.3.x)
+if [ `gcc -dumpversion | tr -d '.' |cut -c 1-2` -gt 33 ]; then
+ MOPT=tune
+else
+ MOPT=cpu
+fi
+
+case "$ARCH" in
+ i386) SLKCFLAGS="-O2 -march=i386 -m${MOPT}=i686"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ ;;
+ i486) SLKCFLAGS="-O2 -march=i486 -m${MOPT}=i686"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ ;;
+ s390) SLKCFLAGS="-O2"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ ;;
+ powerpc) SLKCFLAGS="-O2"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ ;;
+ x86_64) SLKCFLAGS="-O2 -fPIC"
+ SLKLDFLAGS="-L/usr/lib64"; LIBDIRSUFFIX="64"
+ ;;
+ athlon-xp) SLKCFLAGS="-march=athlon-xp -O3 -pipe -fomit-frame-pointer"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ ;;
+esac
+
+# Create working directories:
+if [ ! -d $TMP/tmp-$PRGNAM ]; then
+ mkdir -p $TMP/tmp-$PRGNAM # location to build the source
+elif [ "$P1" != "--oldbuild" ]; then
+ # If the "--oldbuild" parameter is present, we keep
+ # the old build files and continue;
+ # By default we remove the remnants of previous build and continue:
+ rm -rf $TMP/tmp-$PRGNAM/*
+fi
+
+if [ ! -d $PKG ]; then
+ mkdir -p $PKG # place for the package to be built
+else
+ rm -rf $PKG/* # We always erase old package's contents:
+fi
+
+if [ ! -d $OUTPUT ]; then
+ mkdir -p $OUTPUT # place for the package to be saved
+fi
+
+
+# Source file availability:
+
+# SVN downloads first:
+# Get the swscaler from Mplayer:
+if ! [ -f ${SOURCE[7]} ]; then
+ get_7
+fi
+# Regular URL downloads follow:
+for (( i = 0; i < ${#SOURCE[*]}; i++ )) ; do
+ if ! [ -f ${SOURCE[$i]} ]; then
+ if ! [ "x${SRCURL[$i]}" == "x" ]; then
+ # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
+ [ -w "$SRCDIR" ] || SOURCE[$i]="$OUTPUT/`basename ${SOURCE[$i]}`"
+ echo "Source '`basename ${SOURCE[$i]}`' not available yet..."
+ echo "Will download file to `dirname $SOURCE[$i]`"
+ wget -nv -O "${SOURCE[$i]}" "${SRCURL[$i]}" || true
+ if [ $? -ne 0 ]; then
+ echo "Downloading '`basename ${SOURCE[$i]}`' failed.. aborting the build."
+ mv -f "${SOURCE[$i]}" "${SOURCE[$i]}".FAIL
+ exit 1
+ fi
+ else
+ echo "File '`basename ${SOURCE[$i]}`' not available.. aborting the build."
+ exit 1
+ fi
+ fi
+done
+
+if [ "$P1" == "--download" ]; then
+ echo "Download complete."
+ exit 0
+fi
+
+# --- PACKAGE BUILDING ---
+
+echo "++"
+echo "|| $PRGNAM-$VERSION"
+echo "++"
+
+cd $TMP/tmp-$PRGNAM
+if [ "$P1" != "--oldbuild" ]; then
+ echo "Extracting the source archive(s) for $PRGNAM..."
+ for (( i = 0; i < ${#SOURCE[*]}; i++ )) ; do
+ if `file ${SOURCE[$i]} | grep -q ": bzip2"`; then
+ tar -xjvf ${SOURCE[$i]}
+ elif `file ${SOURCE[$i]} | grep -q ": gzip"`; then
+ tar -xzvf ${SOURCE[$i]}
+ elif `file ${SOURCE[$i]} | grep -iq ": zip"`; then
+ unzip ${SOURCE[$i]}
+ fi
+ done
+fi
+chown -R root:root *
+chmod -R u+w,go+r-w,a-s *
+
+# --- BUILDING ---
+
+echo Building ...
+
+# We will be installing static libs into the following directory:
+mkdir -p $TMP/tmp-$PRGNAM/ffmpegdeps/usr/{bin,include,lib,man}
+
+# -----------------------------------------------------------------------------
+# Compile lame libraries
+# The ffmpeg will use these
+# -----------------------------------------------------------------------------
+make_lame()
+{
+echo -e "**\n** lame ...\n**"
+cd $TMP/tmp-$PRGNAM/lame-${LAME}
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+LDFLAGS="$SLKLDFLAGS" \
+./configure --prefix=/usr \
+ --enable-static \
+ --disable-shared \
+ --program-prefix="" \
+ --program-suffix="" \
+ --build=$ARCH-slackware-linux \
+ 2>&1 | tee $OUTPUT/configure-${PRGNAM}_lame.log
+make 2>&1 | tee $OUTPUT/make-${PRGNAM}_lame.log
+# Install lame into a temp location so ffmpeg can pickup the library
+make install DESTDIR=$TMP/tmp-$PRGNAM/ffmpegdeps \
+ 2>&1 | tee -a $OUTPUT/make-${PRGNAM}_lame.log
+cd -
+}
+
+# -----------------------------------------------------------------------------
+# Compile xvidcore libraries
+# The ffmpeg will use these
+# -----------------------------------------------------------------------------
+make_xvid()
+{
+echo -e "**\n** xvid ...\n**"
+cd $TMP/tmp-$PRGNAM/xvidcore-${XVID}/build/generic
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+LDFLAGS="$SLKLDFLAGS" \
+./configure --prefix=/usr \
+ --enable-static \
+ --disable-shared \
+ --program-prefix="" \
+ --program-suffix="" \
+ --build=$ARCH-slackware-linux \
+ 2>&1 | tee $OUTPUT/configure-${PRGNAM}_xvid.log
+make 2>&1 | tee $OUTPUT/make-${PRGNAM}_xvid.log
+# Install xvidcore into a temp location so ffmpeg can pickup the library
+make install DESTDIR=$TMP/tmp-$PRGNAM/ffmpegdeps \
+ 2>&1 | tee -a $OUTPUT/make-${PRGNAM}_xvid.log
+cd -
+}
+
+# -----------------------------------------------------------------------------
+# Compile faac library
+# The ffmpeg will use these
+# -----------------------------------------------------------------------------
+make_faac()
+{
+echo -e "**\n** faac ...\n**"
+cd $TMP/tmp-$PRGNAM/faac
+ex +":set ff=unix" +":wq" bootstrap
+ex +":set ff=unix" +":wq" configure.in
+sh bootstrap
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+LDFLAGS="$SLKLDFLAGS" \
+./configure --prefix=/usr \
+ --enable-static \
+ --disable-shared \
+ --program-prefix="" \
+ --program-suffix="" \
+ --build=$ARCH-slackware-linux \
+ 2>&1 | tee $OUTPUT/configure-${PRGNAM}_faac.log
+make 2>&1 | tee $OUTPUT/make-${PRGNAM}_faac.log
+# Install faac into a temp location so ffmpeg can pickup the library
+make install DESTDIR=$TMP/tmp-$PRGNAM/ffmpegdeps \
+ 2>&1 | tee -a $OUTPUT/make-${PRGNAM}_faac.log
+cd -
+}
+
+# -----------------------------------------------------------------------------
+# Compile faad2
+# -----------------------------------------------------------------------------
+make_faad2()
+{
+echo -e "**\n** faad2 ...\n**"
+cd $TMP/tmp-$PRGNAM/faad2
+patch -p1 < $SRCDIR/faad2-remove-bmp.patch
+autoreconf -vif
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+LDFLAGS="$SLKLDFLAGS" \
+./configure --prefix=/usr \
+ --with-drm \
+ --with-mp4v2 \
+ --without-xmms \
+ --enable-static \
+ --disable-shared \
+ --program-prefix="" \
+ --program-suffix="" \
+ --build=$ARCH-slackware-linux \
+ 2>&1 | tee $OUTPUT/configure-${PRGNAM}_faad2.log
+make 2>&1 | tee $OUTPUT/make-${PRGNAM}_faad2.log
+# Install faad2 into a temp location so ffmpeg can pickup the library
+make install DESTDIR=$TMP/tmp-$PRGNAM/ffmpegdeps \
+ 2>&1 | tee -a $OUTPUT/make-${PRGNAM}_faad2.log
+cd -
+}
+# -----------------------------------------------------------------------------
+# Compile a52 libraries
+# -----------------------------------------------------------------------------
+make_a52()
+{
+echo -e "**\n** a52 ...\n**"
+cd $TMP/tmp-$PRGNAM/a52dec-${A52}
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+LDFLAGS="$SLKLDFLAGS" \
+./configure --prefix=/usr \
+ --enable-static \
+ --disable-shared \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --program-prefix="" \
+ --program-suffix="" \
+ --build=$ARCH-slackware-linux \
+ 2>&1 | tee $OUTPUT/configure-${PRGNAM}_a52.log
+make 2>&1 | tee $OUTPUT/make-${PRGNAM}_a52.log
+# Install a52 into a temp location so ffmpeg can pickup the library
+make install DESTDIR=$TMP/tmp-$PRGNAM/ffmpegdeps \
+ 2>&1 | tee -a $OUTPUT/make-${PRGNAM}_a52.log
+cd -
+}
+
+# -----------------------------------------------------------------------------
+# Compile x264
+# -----------------------------------------------------------------------------
+make_x264()
+{
+echo -e "**\n** x264 ...\n**"
+cd $TMP/tmp-$PRGNAM/x264-snapshot-${X264}
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+LDFLAGS="$SLKLDFLAGS" \
+./configure --prefix=/usr \
+ --enable-static \
+ --disable-shared \
+ --program-prefix="" \
+ --program-suffix="" \
+ --build=$ARCH-slackware-linux \
+ 2>&1 | tee $OUTPUT/configure-${PRGNAM}_x264.log
+make 2>&1 | tee $OUTPUT/make-${PRGNAM}_x264.log
+# Install x264 into a temp location so ffmpeg can pickup the library
+make install DESTDIR=$TMP/tmp-$PRGNAM/ffmpegdeps \
+ 2>&1 | tee -a $OUTPUT/make-${PRGNAM}_h264.log
+cd -
+}
+
+# -----------------------------------------------------------------------------
+# Compile ffmpeg with support for LAME, XVID, FAAC, FAAD2 , A52 (AC3), X264
+# -----------------------------------------------------------------------------
+make_ffmpeg()
+{
+echo -e "**\n** ffmpeg ...\n**"
+OLDDIR=`pwd`
+cd $TMP/tmp-$PRGNAM
+# Take care of snaphot directory:
+if [ -d ffmpeg-export-* ]; then
+ rm -rf ffmpeg-${VERSION}
+ mv ffmpeg-export-* ffmpeg-${VERSION}
+fi
+cd ffmpeg-${VERSION}
+# Put MPlayer's libswscale into place, because ffmpeg's version does not work:
+rm -rf libswscale
+mv ../libswscale-$VERSION libswscale
+# Based on the value of $USE_PATENTS enable or disable libmp3lame:
+[ "${USE_PATENTS}" = "YES" ] && do_mp3="en" || do_mp3="dis"
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+LDFLAGS="$SLKLDFLAGS" \
+./configure --prefix=/usr \
+ --${do_mp3}able-libmp3lame \
+ --enable-libogg \
+ --enable-libvorbis \
+ --enable-libtheora \
+ --enable-libfaac \
+ --enable-libfaad \
+ --enable-liba52 \
+ --enable-x264 \
+ --enable-xvid \
+ --enable-swscaler \
+ --enable-gpl \
+ --enable-pp \
+ --enable-pthreads \
+ --disable-debug \
+ --disable-shared \
+ --enable-static \
+ --log=$OUTPUT/ffmpeg.err \
+ --extra-cflags="-I`pwd`/../ffmpegdeps/usr/include" \
+ --extra-ldflags="-L`pwd`/../ffmpegdeps/usr/lib" \
+ 2>&1 | tee $OUTPUT/configure-${PRGNAM}_ffmpeg.log
+make 2>&1 | tee $OUTPUT/make-${PRGNAM}_ffmpeg.log
+cd $OLDDIR
+}
+
+#
+# OK, we packaged the compile process for the various software libraries
+# into convenient functions... let's call them one by one now:
+#
+
+# Needed before ffmpeg:
+# Based on the value of $USE_PATENTS enable or disable libmp3lame:
+[ "${USE_PATENTS}" = "YES" ] && (make_lame || exit 1)
+make_xvid || exit 1
+make_faac || exit 1
+make_faad2 || exit 1
+make_a52 || exit 1
+make_x264 || exit 1
+
+# ffmpeg uses the above static libraries:
+make_ffmpeg || exit 1
+
+# End of compilation, proceed to packaging the binaries:
+cd $TMP/tmp-${PRGNAM}/${PRGNAM}-${VERSION}
+#
+# Install all the needed stuff to the package dir
+#
+# Use installwatch if available, to produce a logfile of the installation
+# process that is more easily readable:
+if `which installwatch > /dev/null 2>&1`; then
+ installwatch -o $OUTPUT/install-${PRGNAM}.log make DESTDIR=$PKG install
+else
+ make DESTDIR=$PKG install 2>&1 |tee $OUTPUT/install-${PRGNAM}.log
+fi
+
+# Add documentation:
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true
+
+# Compress the man page(s)
+if [ -d $PKG/usr/man ]; then
+ find $PKG/usr/man -type f -name "*.?" -exec gzip -9f {} \;
+ for i in `find $PKG/usr/man -type l -name "*.?"` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+fi
+
+# Strip binaries
+cd $PKG
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+cd -
+
+# Add package description:
+mkdir -p $PKG/install
+cat $SRCDIR/slack-desc > $PKG/install/slack-desc
+if [ -f $SRCDIR/doinst.sh ]; then
+ cat $SRCDIR/doinst.sh >> $PKG/install/doinst.sh
+fi
+
+# Build the package:
+cd $PKG
+makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
+cd $OUTPUT
+md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz.md5
+cd -
+cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.txt
+
+# Clean up the extra stuff:
+if [ "$P1" = "--cleanup" ]; then
+ rm -rf $TMP/tmp-$PRGNAM
+ rm -rf $PKG
+fi
diff --git a/ffmpeg/build/slack-desc b/ffmpeg/build/slack-desc
new file mode 100644
index 00000000..6c75a05e
--- /dev/null
+++ b/ffmpeg/build/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ffmpeg: ffmpeg (software to record, convert and stream audio and video)
+ffmpeg:
+ffmpeg: FFmpeg is a complete solution to record, convert and stream audio and
+ffmpeg: video. It includes libavcodec, the leading audio/video codec library.
+ffmpeg:
+ffmpeg:
+ffmpeg:
+ffmpeg:
+ffmpeg:
+ffmpeg: ffmpeg home: http://ffmpeg.mplayerhq.hu/
+ffmpeg: